Rename, renumber or archive a transfer number (owner)
PATCH
/v1/workspace/transfer-destinations/{destination_id}
const url = 'https://api.vocapable.com/v1/workspace/transfer-destinations/example';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"expected_revision":1,"name":"example","phone_e164":"example","archived":true,"payment_line":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.vocapable.com/v1/workspace/transfer-destinations/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "expected_revision": 1, "name": "example", "phone_e164": "example", "archived": true, "payment_line": true }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”destination_id
required
Destination Id
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
WorkspaceTransferDestinationUpdate
object
Examplegenerated
{ "expected_revision": 1, "name": "example", "phone_e164": "example", "archived": true, "payment_line": true}Responses
Section titled “Responses”Successful Response
Media typeapplication/json
WorkspaceTransferDestinations
object
data
required
Data
Array<object>
WorkspaceTransferDestinationA number the owner allow-listed for external transfers and three-way calls (E5-R3).
object
id
required
Id
string
name
required
Name
string
phone_e164
required
Phone E164
string
revision
required
Revision
integer
payment_line
Payment Line
boolean
can_manage
required
Can Manage
boolean
Example
{ "data": [ { "payment_line": false } ]}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}